X.org xf86-video-intel

[g45] Black screen on boot acer travelmate 5735Z, intel gma 4500mh

Reported by Samuel Kanje on 2011-03-28
104
This bug affects 21 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Invalid
Undecided
Unassigned

Bug Description

There is a problem with the intel driver kms in Natty which causes the screen's backlight to switch off just after leaving the grub screen. Problem does not exist with 10.10 but exists with virtually every other recent distro out there (Opensuse 11.2 - 11.4, Fedora etc) which leads me to believe it's a bug inherited from the upstream that was fixed in maverick.
The only way to boot the laptop successfully is by adding the nomodeset option, which unfortunately results in no 3D nor the correct resolution.
I am currently back to maverick but I would love to use natty asap so thanks for resolving the bug.

Alex Launi (alexlauni) on 2011-04-04
Changed in unity:
status: New → Invalid
Changed in unity (Ubuntu):
status: New → Invalid
bugbot (bugbot) on 2011-04-10
tags: added: black-screen
Alejandro Zunino (azunino) wrote :

Same here with an Acer Aspire 4736Z. You can also try with the kernel parameter xforcevesa. At least the resolution is ok.

bugbot (bugbot) on 2011-04-28
summary: - Black screen on boot acer travelmate 5735Z, intel gma 4500mhd
+ [g45] Black screen on boot acer travelmate 5735Z, intel gma 4500mhd

The same problem on HP All-in-One with intel gma 4500hd (or 4500mhd i don't know)

Same in Acer Travelmate 240. Installing works but after first reebot black screen.

heimlicher (heimlich) wrote :

Same here with an Acer Travelmate 5735Z, gma 4500mhd.
Issue is discussed in ubuntu forums:
http://ubuntuforums.org/showthread.php?t=1741556
http://ubuntuforums.org/showthread.php?t=1743301

littleendian (magnus-leuthner) wrote :

This problem of almost no backlight (but in dark room just barely legible) display also exists on my Acer Travelmate 5735Z (both during initial installation and after installation). It is fixed by running the following command:

sudo setpci -s 00:02.0 F4.B=0

lspci:
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
04:00.0 Network controller: Broadcom Corporation BCM43225 802.11b/g/n (rev 01)
05:00.0 Ethernet controller: Broadcom Corporation NetLink BCM57780 Gigabit Ethernet PCIe (rev 01)

It can be fixed by adding the setpci command to the /etc/pm/sleep.d scripts to ensure it's run during resume/thaw and by adding the command also to the /etc/rc.local to ensure it's run during startup.

cyf221 (cyf221) wrote :

 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 09)
 boot only black screen or nomodeset with terrible resoliution
   Xorg -configure without X do not efective.
 it is a critical bug on my enachines G725

I have the same problem with my new acer 5735z.
As soon as it comes to the grub screen my laptop display turns black.
If I use an external monitor I am able to boot into ubuntu and add the
"setpci"-script to the sleep.d and rc.local files. But as soon as I i.e. change
display settings the screen gets black again. The same for the grub menue
at startup.

The problem seems to be solved for me after performing the following steps which are a combination of littleendians solution and a post from unknown47 in this forum entry: http://ubuntuforums.org/showthread.php?t=1743301.

1. Goto edit-mode in grub and add "acpi_osi=Linux" to the line that says "... quiet splash ..."
2. Now you can boot into ubuntu. To make this grub change persistent
edit the /etc/default/grub. Change the "GRUB_CMDLINE_LINUX_DEFAULT" line into
GRUB_CMDLINE_LINUX_DEFAULT = "quiet splash acpi_osi = Linux"
3. Execute sudo update-grub2
4. Add "setpci -s 00:02.0 F4.B=00" to /etc/rc.local and to the scripts in /etc/pm/sleep.d. Added this line always at the beginning of the scripts.
5. Reboot and everything should be fine.... so far

cyf221 (cyf221) wrote :

"acpi_osi=Linux" do not work fo me.
    black screen

zigzag (schweppes07) wrote :

Confirmed for TravelMate 5735z with intel gma 4500MHD on Natty 64-bit.

The problem does however not appear for me if I already use the backlight adjustment keys (fn + left arrow) during the bios boot screen. The backlight adjustment does however not work in natty anymore.

Adding options "acpi_osi=Linux acpi_backlight=legacy" in GRUB (like in bug https://bugs.launchpad.net/ubuntu/+source/linux/+bug/518002) enabled backlight adjustment using fn+arrow keys. This also allows for turning backlight back on when encountering a black screen.

Emre Şüşter (anagavos) wrote :

It did not work, Tristan.

dreamon (db4mt) wrote :

Same on Acer 5735Z. No backlight.

External screen works without problem.

Its only a backlight switch problem.. Anyone solved this one?

Juankof (juankof) wrote :

Same in Acer Aspire 4636 with Intel GMA 4500MHD on Ubuntu 11.04 64 bits

Juankof (juankof) wrote :

Same in Acer Aspire 4736 with Intel GMA 4500MHD on Ubuntu 11.04 64 bits

kanub (gwd0fqy02) wrote :

after fresh installation of Linux Mint XFCE 11 (or Lubuntu 11.04) on Acer Travelmate 240 screen stays blank after boot

solution:
$ sudo nano /etc/default/grub
add i915.modeset=0 in GRUB_CMDLINE_LINUX_DEFAULT (nomodeset is working too)
(source: http://ubuntu-tutorials.com/2010/05/06/ubuntu-10-04-lucid-blank-screen-at-startup-workaround/
)

I get terrible display glitches on boot (bios logo and previous login screen with lots of random noise => uncleared graphics memory?)

setpci and acpi_osi = Linux + backlight did not work for me

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
OmniUni (omniuni) wrote :

Adding options "acpi_osi=Linux acpi_backlight=legacy" in GRUB worked for me on my friend's computer... mostly. Although the brightness buttons can now control the backlight, Linux can't, and it still turns off once in a while (though it's easy enough to turn back on)

I really hope this gets fixed soon, it's a pain, and makes Ubuntu look pretty bad.

Martin Thoma (themoosemind) wrote :

This bug affects Ubuntu 11.10 on Acer TravelMate 5735Z with Intel GMA 4500MHD. It did NOT affect Ubuntu 10.04.03 LTS.

erqwerqwerew (sfadsfqcewfada) wrote :

sadfdsaf

summary: - [g45] Black screen on boot acer travelmate 5735Z, intel gma 4500mhd
+ [g45] Black screen on boot acer travelmate 5735Z, intel gma 4500mh
sma (m-0622) wrote :

I have an Acer Travelmate 5735Z running Ubuntu 10.10 on it. Works fine. The support period for Ubuntu 10.10 will end in April 2012 (so very soon). Obviously this bug is not fixed yet. Because this bug is open for so long, I don't believe, that this bug will be fixed in the next weeks.

So what shall I do in April 2012??? I will not upgrade Ubuntu unless there is only a workaround for this problem (see #8). It's a terrible situation. (Btw: The LTS version 10.04 is not an option to me, because it doesn't work with my UMTS-stick)

I bought this Notebook, because all information said, that an intel graphic chip works best with Linux. OK, the intel graphic chip is not repsonsible for this bug, but I see the time running and nothing happens.

What shall we users do, to "motivate" persons, to fix this bug???

sma (m-0622) wrote :

An additional problem is, when the computer wakes up after hibernate/standby, the screen will stay black.

I found three workarounds, that promise to solve this problem:

1) http://ubuntuforums.org/showthread.php?p=11423423#post11423423

2) http://ubuntuforums.org/showpost.php?p=11578848&postcount=4

3) http://linux-on-acer-aspire-5732z.blogspot.com/2011/06/backlight-workaround-for-linux-mint-11.html

Can someone report, if one of the workarounds mentioned above are OK on an Acer Travelmate 5735Z ?

Martin Thoma (themoosemind) wrote :

I've just installed the latest precise daily built (http://cdimage.ubuntu.com/daily-live/current/ - precise-desktop-i386.iso) in Virtual Box on my TravelMate 5735Z. It seems to work.

Juankof (juankof) wrote :

Same in Acer Aspire 4636 with Intel GMA 4500MHD on Ubuntu 12.04 64 bits. Fresh Install. What can i do?

Chris (chris-dowey) wrote :

Same for me on an Acer Aspire 5336 with Intel GMA 4500 on Ubuntu 12.04 32 bit. I haven't tried the workarounds yet, will give them a go and see how I get on.

Chris (chris-dowey) wrote :

I got this working with the following workarounds that have been previously mentioned:
1. Hold down shift to bring up the grub menu at startup - add "nomodeset" to the kernel options. System boots up although the correct resolution is not detected, this is just temporary to make the following changes...
2. Add "setpci -s 00:02.0 F4.B=00" to /etc/rc.local
3. On reboot after step 2 the brightness was stuck at maximum, so I added "acpi_osi=Linux acpi_backlight=legacy" to the kernel parameters in /boot/grub/grub.cfg
4. On reboot, screen is the correct resolution and the brightness keys work (although the on-screen brightness bar no longer appears but I can live with that).

Juankof (juankof) wrote :

The #24 work for me.
Thank you Chris-dowey Finally it work. Perfectly normal.
Acer 4736 Ubuntu 12.04 64Bits Fresh Install. with intel GMA 4500MHD.
Dios los bendiga.!!!

no longer affects: unity
no longer affects: unity (Ubuntu)
Daniel van Vugt (vanvugt) wrote :

When I had this kind of bug I found mine was a KMS problem in the kernel. And I found it was fixed in kernel 3.1 and later (hence fixed in Ubuntu 12.04 and later). See bug 865097.

heimlicher (heimlich) wrote :

one year later still the same
Assigned to? Unassigned

Hi, all, this is a duplicate of bug 765438. Marking as such.

no longer affects: xserver-xorg-video-intel (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: fedora → xserver-xorg-video-intel (Ubuntu)
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
no longer affects: xserver-xorg-video-intel (Ubuntu)
affects: grub → xserver-xorg-video-intel
Changed in xserver-xorg-video-intel:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers